Bug 1307263 - [GSS](6.4.z) HV-665 - Consider concerned constraint in identity of constraint violations
[GSS](6.4.z) HV-665 - Consider concerned constraint in identity of constraint...
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
Unspecified Unspecified
high Severity unspecified
: CR1
: EAP 6.4.9
Assigned To: Gail Badner
Martin Simka
Depends On:
Blocks: 1305442 1307264 eap649-payload
  Show dependency treegraph
Reported: 2016-02-13 14:42 EST by Brad Maxwell
Modified: 2017-01-17 07:54 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-01-17 07:54:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Article) 2435181 None None None 2016-07-11 06:48 EDT

  None (edit)
Description Brad Maxwell 2016-02-13 14:42:41 EST
Currently the concerned constraint is not considered when determining the identity of ConstraintViolationImpl (equals() and hashCode()). This causes only one violation to be contained in the set returned by Validator#validate() when validating e.g. the following property:

@Size(min=2, message="must be 2 at least")
@DecimalMin(value="2", message="must be 2 at least")
String name = "1";
Comment 1 Brad Maxwell 2016-02-13 14:43:46 EST
Comment 6 Jiří Bílek 2016-06-28 09:10:20 EDT
Verified with EAP 6.4.9.CP.CR2
Comment 7 Petr Penicka 2017-01-17 07:54:57 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.